Fingerprint_Card

Loading...
Searching...
No Matches
ICSharpCode.SharpZipLib.Checksums.IChecksum Interface Reference

Interface to compute a data checksum used by checked input/output streams. A data checksum can be updated by one byte or with a byte array. After each update the value of the current checksum can be returned by calling. More...

Inheritance diagram for ICSharpCode.SharpZipLib.Checksums.IChecksum:
[legend]

## Public Member Functions
void | Reset ()
| Resets the data checksum as if no update was ever called.
void | Update (int value)
| Adds one byte to the data checksum.
void | Update (byte[] buffer)
| Updates the data checksum with the bytes taken from the array.
void | Update (byte[] buffer, int offset, int count)
| Adds the byte array to the data checksum.

## Properties
long | Value`[get]`
| Returns the data checksum computed so far.

## Detailed Description

Interface to compute a data checksum used by checked input/output streams. A data checksum can be updated by one byte or with a byte array. After each update the value of the current checksum can be returned by calling.

getValue

. The complete checksum object can also be reset so it can be used again with new data.

## Member Function Documentation

## ◆ Reset()

void ICSharpCode.SharpZipLib.Checksums.IChecksum.Reset | ( |  | ) |

Resets the data checksum as if no update was ever called.

Implemented in ICSharpCode.SharpZipLib.Checksums.Adler32, ICSharpCode.SharpZipLib.Checksums.Crc32, and ICSharpCode.SharpZipLib.Checksums.StrangeCRC.

## ◆ Update() [1/3]

void ICSharpCode.SharpZipLib.Checksums.IChecksum.Update | ( | byte[] | buffer | ) |

Updates the data checksum with the bytes taken from the array.

Parameters

  buffer | buffer an array of bytes

Implemented in ICSharpCode.SharpZipLib.Checksums.Adler32, ICSharpCode.SharpZipLib.Checksums.Crc32, and ICSharpCode.SharpZipLib.Checksums.StrangeCRC.

## ◆ Update() [2/3]

void ICSharpCode.SharpZipLib.Checksums.IChecksum.Update | ( | byte[] | buffer,
|  | int | offset,
|  | int | count )

Adds the byte array to the data checksum.

Parameters

  buffer | The buffer which contains the data
  offset | The offset in the buffer where the data starts
  count | the number of data bytes to add.

Implemented in ICSharpCode.SharpZipLib.Checksums.Adler32, ICSharpCode.SharpZipLib.Checksums.Crc32, and ICSharpCode.SharpZipLib.Checksums.StrangeCRC.

## ◆ Update() [3/3]

void ICSharpCode.SharpZipLib.Checksums.IChecksum.Update | ( | int | value | ) |

Adds one byte to the data checksum.

Parameters

  value | the data value to add. The high byte of the int is ignored.

Implemented in ICSharpCode.SharpZipLib.Checksums.Adler32, ICSharpCode.SharpZipLib.Checksums.Crc32, and ICSharpCode.SharpZipLib.Checksums.StrangeCRC.

## Property Documentation

## ◆ Value

long ICSharpCode.SharpZipLib.Checksums.IChecksum.Value
| get

Returns the data checksum computed so far.

Implemented in ICSharpCode.SharpZipLib.Checksums.Adler32, ICSharpCode.SharpZipLib.Checksums.Crc32, and ICSharpCode.SharpZipLib.Checksums.StrangeCRC.

The documentation for this interface was generated from the following file:

- ICSharpCode.SharpZLib/Checksums/IChecksum.cs